## chiark-utils 4.0.0

=== backup/Makefile ===
# Makefile
# simple make settings
#
# This file is part of chiark backup, a system for backing up GNU/Linux and
# other UN*X-compatible machines, as used on chiark.greenend.org.uk.
#
# chiark backup is:
#  Copyright (C) 1997-1998,2000-2001 Ian Jackson <ian@chiark.greenend.org.uk>
#  Copyright (C) 1999 Peter Maydell <pmaydell@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

us=	chiark-backup

include ../settings.make

BINSCRIPTS=	checkallused loaded driver takedown whatsthis labeltape
SHARESCRIPTS=	bringup full increm
SHAREFILES=	backuplib.pl

EXAMPLES=	relativity chiark

all:

install:		all
		$(INSTALL_DIRECTORY) $(confdir) $(bindir) $(sharedir) $(vardir) $(man1dir)
		set -e; for s in $(BINSCRIPTS); do \
			$(INSTALL_SCRIPT) $$s $(bindir)/backup-$$s; done
		$(INSTALL_SHARE) $(SHAREFILES) $(sharedir)
		$(INSTALL_SCRIPT) $(SHARESCRIPTS) $(sharedir)

install-docs:
		$(INSTALL_DIRECTORY) $(txtdocdir)
		$(INSTALL_SHARE) iwjbackup.txt $(txtdocdir)/README

install-examples:
		set -e; for e in $(EXAMPLES); do \
			cd examples/$$e; \
			$(INSTALL_DIRECTORY) $(exampledir)/$$e; \
			$(INSTALL_SHARE) [^A-Z]*[^~] $(exampledir)/$$e; \
			if test -f SYMLINKS.tar; then \
				exec <SYMLINKS.tar; \
				(set -e; cd $(exampledir) && tar -xf -); \
			fi; \
			cd ../..; \
		done

clean:
		rm -f *~ ./#*# *.o

distclean realclean:	clean

=== cprogs/Makefile ===
# Makefile
# simple make settings
#
# This file is part of chiark backup, a system for backing up GNU/Linux and
# other UN*X-compatible machines, as used on chiark.greenend.org.uk.
#
# chiark backup is:
#  Copyright (C) 1997-1998,2000-2001 Ian Jackson <ian@chiark.greenend.org.uk>
#  Copyright (C) 1999 Peter Maydell <pmaydell@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

include ../settings.make

RWBUFFER_SIZE_MB=16

PROGRAMS=		readbuffer writebuffer with-lock-ex
SUIDSBINPROGRAMS=	really
DAEMONS=		trivsoundd
MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1
MAN8PAGES=		trivsoundd.8 really.8

TARGETS=	$(PROGRAMS) $(SUIDSBINPROGRAMS) $(DAEMONS)

all:		$(TARGETS)

readbuffer:			readbuffer.o			rwbuffer.o
writebuffer:			writebuffer.o	wrbufcore.o	rwbuffer.o 
trivsoundd:			trivsoundd.o	wrbufcore.o 	rwbuffer.o 
really:				really.o myopt.o

really.o myopt.o: myopt.h
readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h

install:		all
		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)
		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)
		$(INSTALL_PROGRAM) $(DAEMONS) $(sbindir)
		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
			$(SUIDSBINPROGRAMS) $(sbindir)

install-docs:
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir) $(txtdocdir)
		$(INSTALL) -m 644 $(MAN1PAGES) ${man1dir}/.
		$(INSTALL) -m 644 $(MAN8PAGES) ${man8dir}/.

install-examples:

clean:
		rm -f *~ ./#*# *.o

distclean realclean:	clean
		rm -f $(TARGETS)

=== scripts/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright (C) 2001 Ian Jackson <ian@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

include ../settings.make

SCRIPTS=	palm-datebook-reminders
MANPAGES1=	palm-datebook-reminders

CSCRIPTS=	named-conf
CMANPAGES8=	named-conf

all:

install:
		$(INSTALL_DIRECTORY) $(bindir)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
		set -e; for f in $(CSCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/chiark-$$f; done

install-docs:
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir)
		set -e; for f in $(MANPAGES1); do \
			$(INSTALL_SHARE) $$f.1 $(man1dir)/$$f.1; done
		set -e; for f in $(CMANPAGES8); do \
			$(INSTALL_SHARE) $$f.8 $(man8dir)/chiark-$$f.8; done

install-examples:

clean:
		rm -f *~ ./#*#

distclean realclean:	clean

=== sync-accounts/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright 2001-2002 Ian Jackson <ian@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SYSTEM_GROUP=	root

INSTALL=		install -c
INSTALL_SHARE=		$(INSTALL) -m 644 -o root -g $(SYSTEM_GROUP)
INSTALL_SCRIPT=		$(INSTALL) -m 755 -o root -g $(SYSTEM_GROUP)
INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o root -g $(SYSTEM_GROUP) -d

prefix=/usr/local
bindir=$(prefix)/bin
mandir=${prefix}/man
man5dir=${mandir}/man5
man8dir=${mandir}/man8
txtdocdir=$(prefix)/share/doc/sync-accounts
exampledir=$(txtdocdir)/examples

SCRIPTS=	sync-accounts sync-accounts-createuser grab-account
MANPAGES5=	sync-accounts
MANPAGES8=	sync-accounts sync-accounts-createuser grab-account
EXAMPLES=	linux bsd

all:

install:
		$(INSTALL_DIRECTORY) $(bindir)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done

install-docs:
		$(INSTALL_DIRECTORY) $(man5dir) $(man8dir)
		set -e; for f in $(MANPAGES5); do \
			$(INSTALL_SHARE) $$f.5 $(man5dir)/$$f.5; done
		set -e; for f in $(MANPAGES8); do \
			$(INSTALL_SHARE) $$f.8 $(man8dir)/$$f.8; done

install-examples:
		$(INSTALL_DIRECTORY) $(exampledir)
		set -e; for e in $(EXAMPLES); do \
			$(INSTALL_SHARE) sync-accounts.example-$$e \
				$(exampledir)/sync-accounts.$$e; \
			done

clean:
		rm -f *~ ./#*#

distclean realclean:	clean

=== debian/changelog ===
chiark-utils (4.0.0) unstable; urgency=medium

  New programs and utilities:
  * trivsoundd (cprogs, no .deb).  Largely untested.
  * palm-datebook-reminders (scripts, chiark-scripts.deb)
  * really (cprogs, chiark-really.deb)
  * with-lock-ex (cprogs, chiark-utils-bin.deb)
  * usernice, cvsweb-list, smtpallow.  (Source only, not built.)
    
  chiark-named-conf:
  * remove warnings by adding complete set of function prototypes
  * check foreign zones from delegation by default (-mforeign!*)

  chiark-rwbuffer:
  * fix writebuffer's progname.

  chiark-backup:
  * full dumps have tapedesc in TAPEID
  * fix reporting of unaccountable filesystems.
  * compression support (gz as a style option).
  * ntfsimage support.
  * Count and display on-tape file numbers.
  * Count output blocks for each tape file and in total.
  * $nice and $nasty in settings.pl.
  * Show mt runes when we execute them.
  * A little less clone-and-hack.
  * Manpages.

  Build system improvements:
  * Make manpages non-executable (!) (ie install with INSTALL_SHARE)
  * Makefile commonality moved into settings.make.
  * readbuffer/writebuffer moved into new cprogs directory.
  
  Debian-specific changes:
  * sync-accounts and chiark-named-conf merged into single
    chiark-scripts package.
  * Add section and priority fields
  * Update to a sensible standards-version
  * Correct location of the GPL

 -- Matthew Vernon <matthew@debian.org>  Wed, 16 Jul 2003 12:01:01 +0100

chiark-utils (3.0.3) unstable; urgency=low

  * chiark-backup: compatibility with md5sum from dpkg 1.10.4.
  * chiark-named-conf: manpage gluelessness section improved.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 20 Oct 2002 17:42:53 +0100

chiark-utils (3.0.2) unstable; urgency=low

  * Enhanced portability: cope with (and preserve) comments and 
    blank lines in local database files.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 23:21:31 +0100

chiark-utils (3.0.1) unstable; urgency=low

  * Enhanced portability: -g root => -g $(SYSTEM_GROUP)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 21:52:46 +0100

chiark-utils (3.0.0) unstable; urgency=low

  sync-accounts:
  * Moved all files from old CVS repository into chiark-utils.
  * Manpages for everything.
  * /etc/sync-accounts comments may be indented.
  * Copyright notices sorted out.
  * sync-accounts.linux uses vipw, vigr.
  * Removed sync-accounts-mktar (eewwgh).
  * Makefile and Debian control stuff added.

  Other changes:
  * debian/copyright file improved.
  * named-conf script has copyright notice at top.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 14 Jul 2002 21:18:35 +0100

chiark-utils (2.2.6) unstable; urgency=low

  * chiark-named-conf --mail-* works without zone list as args.
  * chiark-named-conf --mail-* prints better output.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Sat,  1 Jun 2002 01:12:00 +0100

chiark-utils (2.2.4) unstable; urgency=low

  * chiark-named-conf can send mail reports, and is generally better.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 26 May 2002 21:03:11 +0100

chiark-utils (2.2.3) unstable; urgency=low

  * Allow invocation on 2nd-level domains by coping with superzone `.'

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 27 Jan 2002 19:38:14 +0000

chiark-utils (2.2.2) unstable; urgency=low

  * chiark-named-conf does checks on all slaves even for `*' zones.
  * chiark-named-conf glueless-serverless works properly.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 20:19:32 +0000

chiark-utils (2.2.1) unstable; urgency=low

  * chiark-named-conf gets list of delegated servers right when doing
    simple checks (ie -l).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 00:58:22 +0000

chiark-utils (2.2.0) unstable; urgency=low

  * Add new chiark-named-conf script with manpage etc., and package it.
  * Add new scripts directory with Makefile.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 12 Jan 2002 00:47:10 +0000

chiark-utils (2.1.1) unstable; urgency=low

  * add call to mt reten to full.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 28 Nov 2001 00:05:11 +0000

chiark-utils (2.1.0) experimental; urgency=low

  * man pages for readbuffer, writebuffer from Richard Kettlewell.
  * add info re last-tape and checkallused to iwjbackup.txt.
  * new `backup-labeltape' utility.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri,  9 Nov 2001 21:12:25 +0000

chiark-utils (2.0.0) experimental; urgency=low
  
  * Initial prepackaged release of chiark backup.

  Significant changes since merge chiark/anarres/mnemeth:
  * readbuffer/writebuffer command line arg for buffer size.
  * readbuffer/writebuffer share common code.
  * example config files from Relativity and chiark shipped.
  * Improved documentation.
  * bringup-hook created.
  * bugfixes (all of bugs introduced by merge, AFAICT).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  8 Oct 2001 01:52:21 +0100

# Local variables:
# mode: debian-changelog
# End:

=== debian/control ===
Source: chiark-utils
Section: admin
Priority: extra
Maintainer: Matthew Vernon <matthew-chiark-utils@debian.org>
Uploaders: matthew@debian.org
Standards-Version: 3.2.1.0

Package: chiark-backup
Section: utils
Priority: extra
Architecture: all
Depends: chiark-rwbuffer
Description: backup system for small systems and networks
 These are the backup scripts used by chiark.greenend.org.uk and other
 systems belonging to the Sinister Greenend Organisation.  Features:
  * Suitable for single systems and small networks.
  * Reasonably simple; they do what you tell it to.
  * Hard failures when individual systems fail, to encourage fixing !
 If you have a larger site you may wish to look at Amanda.

Package: chiark-scripts
Section: admin
Priority: extra
Conflicts: chiark-named-conf, sync-accounts
Replaces: chiark-named-conf, sync-accounts
Architecture: all
Description: chiark system administration scripts
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Featuring:
 .
 chiark-named-conf: a tool for managing nameserver configurations
 and checking for suspected DNS problems.  Its main functions are to
 check that delegations are appropriate and working, that secondary
 zones are slaved from the right places, and to generate a
 configuration for BIND, from its own input file.
 .
 sync-accounts: a simple but flexible account info synchroniser.
 sync-accounts is a tool for copying un*x account data from remote
 systems and installing it locally.  It is flexible and reasonably
 straightforward, but lacks integration with other distributed
 databases such as NIS.

Package: chiark-rwbuffer
Section: utils
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: readbuffer/writebuffer: prevents tape drive seesawing, etc.
 readbuffer and writebuffer: programs for reading input from devices,
 and writing output to, which don't like constant stopping and
 starting, such as tape drives and audio playback devices.

Package: chiark-utils-bin
Architecture: any
Depends: ${shlibs:Depends}
Section: utils
Priority: extra
Description: chiark system administration utilities
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Currently featuring only:
 .
 with-lock-ex: a simple tool for acquiring a lockfile before running
 another program or script.

Package: chiark-really
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: really - a tool for gaining privilege (simple, realistic sudo)
 really is a program that allows certain users to become whatever user
 they like on request.  It is a bit like sudo in that respect.
 However, really is simpler than sudo, and doesn't give the system
 administrator any false security promises.  So really is less of a
 general security risk to the system.
 .
 Unlike sudo it does not pretend that the called account can be any
 more secure than the calling account. so there is never a need for a
 password.  If you wanted to restrict which commands and functions the
 called user can perform, use userv, not really or sudo.
 .
 Also unlike sudo, really only works if the calling user is supposed
 to be equivalent to root.  But, really can also be used by
 root-equivalent users to become any user, not just root; in this way
 it can be a replacement for certain uses of su.

=== debian/rules ===
#!/usr/bin/make -f

subdirs_build=	cprogs
subdirs_nobuild=backup sync-accounts scripts
package=	chiark-utils
packages_indep=	chiark-backup chiark-scripts
packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
packages=	$(packages_indep) $(packages_arch)

cwd=	$(shell pwd)
d=	$(cwd)/debian
t=	$d/tmp

build:
	$(checkdir)
	set -e; for s in $(subdirs_build); do $(MAKE) -C $$s all; done
	touch build

clean:
	$(checkdir)
	rm -f build
	set -e; for s in $(subdirs_build); do \
		$(MAKE) -C $$s -i distclean || \
		$(MAKE) -C $$s -f Makefile.in distclean; \
	done
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-prep:
	$(checkdir)
	rm -rf debian/tmp*
	#
	set -e; for s in $(subdirs_build) $(subdirs_nobuild); do \
		$(MAKE) -C $$s install install-docs install-examples \
			prefix=$t/$$s/usr \
			etcdir=$t/$$s/etc \
			varlib=$t/$$s/var/lib \
			mandir=$t/$$s/usr/share/man; \
	done
	#
	mv $t/cprogs $t/chiark-utils-bin
	#
	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
	rm -r debian/tmp/sync-accounts
	mv debian/tmp/scripts debian/tmp/chiark-scripts
	mv debian/tmp/backup debian/tmp/chiark-backup
	#
	set -e; for p in $(packages); do \
		install -d $t/$$p/DEBIAN $t/$$p/usr/share/doc/$$p; \
		cp debian/copyright debian/changelog \
			$t/$$p/usr/share/doc/$$p/; \
		ln -s changelog.gz \
			$t/$$p/usr/share/doc/$$p/changelog.Debian.gz; \
		gzip -9v $t/$$p/usr/share/doc/$$p/changelog; \
		done
	#
	install -d $t/chiark-rwbuffer/usr/bin
	install -d $t/chiark-rwbuffer/usr/share/man/man1
	cd $t/chiark-utils-bin/usr/bin && \
		mv readbuffer writebuffer $t/chiark-rwbuffer/usr/bin/
	cd $t/chiark-utils-bin/usr/share/man/man1 && \
		mv readbuffer.1 writebuffer.1 $t/chiark-rwbuffer/usr/share/man/man1/
	#
	install -d $t/chiark-backup/usr/share/man/man1
	cp backup/man/*.1 $t/chiark-backup/usr/share/man/man1/
	cd $t/chiark-backup/usr/share/man/man1 && \
		for m in *.1; do \
			mv "$$m" backup-"$$m"; \
		done
	#
	install -d $t/chiark-really/usr/sbin
	install -d $t/chiark-really/usr/share/man/man8
	cd $t/chiark-utils-bin/usr/sbin && \
		mv really $t/chiark-really/usr/sbin/
	strip --strip-unneeded --remove-section .note --remove-section .comment $t/chiark-really/usr/sbin/really
	cd $t/chiark-utils-bin/usr/share/man/man8 && \
		mv really.8 $t/chiark-really/usr/share/man/man8/
	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
	rmdir	$t/chiark-utils-bin/usr/sbin \
		$t/chiark-utils-bin/usr/share/man/man8
	#
	gzip -9f $t/*/usr/share/man/man*/*

binary-hook-chiark-backup:
binary-hook-chiark-rwbuffer:
binary-hook-sync-accounts:
binary-hook-chiark-scripts:
binary-hook-chiark-really:
binary-hook-chiark-utils-bin:

binary-one:
	set -e; for f in preinst postinst prerm postrm conffiles; do \
		test -f debian/$p/$$f || continue; \
		cp debian/$p/$$f $t/$p/DEBIAN/$$f; \
		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
	done
	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	debian/rules binary-hook-$p
	dpkg --build $t/$p ..

binary-indep:	checkroot build binary-prep
	set -e; for p in $(packages_indep); do \
		debian/rules binary-one p=$$p; done

binary-arch:	checkroot build binary-prep
	$(checkdir)
	dpkg-shlibdeps -Tdebian/sv-chiark-rwbuffer \
		$t/chiark-rwbuffer/usr/bin/*
	dpkg-shlibdeps -Tdebian/sv-chiark-really \
		$t/chiark-really/usr/sbin/*
	dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin \
		$t/chiark-utils-bin/usr/bin/*
	set -e; for p in $(packages_arch); \
		do debian/rules binary-one p=$$p; done

define checkdir
	test -f cprogs/writebuffer.c
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## chiark-utils 4.1.0

=== backup/Makefile ===
--- 
+++ 
@@ -26,19 +26,25 @@
 include ../settings.make
 
 BINSCRIPTS=	checkallused loaded driver takedown whatsthis labeltape
-SHARESCRIPTS=	bringup full increm
+SHARESCRIPTS=	bringup full increm snap-drop
 SHAREFILES=	backuplib.pl
+SNAPKINDS=	lvm remount
 
 EXAMPLES=	relativity chiark
 
 all:
 
 install:		all
-		$(INSTALL_DIRECTORY) $(confdir) $(bindir) $(sharedir) $(vardir) $(man1dir)
+		$(INSTALL_DIRECTORY) $(confdir) $(confdir)/snap $(bindir) \
+			$(sharedir) $(vardir) $(man1dir)
 		set -e; for s in $(BINSCRIPTS); do \
 			$(INSTALL_SCRIPT) $$s $(bindir)/backup-$$s; done
 		$(INSTALL_SHARE) $(SHAREFILES) $(sharedir)
 		$(INSTALL_SCRIPT) $(SHARESCRIPTS) $(sharedir)
+		set -e; for s in $(SNAPKINDS); do \
+			d=$(confdir)/snap/$$s; \
+			test ! -f $$d || d=$$d.dist; \
+			$(INSTALL_SCRIPT) $$s $$d; done
 
 install-docs:
 		$(INSTALL_DIRECTORY) $(txtdocdir)
@@ -51,7 +57,7 @@
 			$(INSTALL_SHARE) [^A-Z]*[^~] $(exampledir)/$$e; \
 			if test -f SYMLINKS.tar; then \
 				exec <SYMLINKS.tar; \
-				(set -e; cd $(exampledir) && tar -xf -); \
+				(set -e; cd $(exampledir)/$$e && tar -xf -); \
 			fi; \
 			cd ../..; \
 		done

=== scripts/Makefile ===
--- 
+++ 
@@ -21,7 +21,9 @@
 
 include ../settings.make
 
-SCRIPTS=	palm-datebook-reminders
+SCRIPTS=	palm-datebook-reminders random-word \
+		genspic2gnuplot gnucap2genspic ngspice2genspic \
+		cvs-repomove cvs-adjustroot
 MANPAGES1=	palm-datebook-reminders
 
 CSCRIPTS=	named-conf

=== debian/changelog ===
chiark-utils (4.1.0) unstable; urgency=low

  New facilities:
  * New `cvs-repomove' and `cvs-adjustroot' programs,
        for moving CVS repositories about safely and easily.
  * New `random-word' script (no documentation).
  * New `xacpi-simple' utility (no documentation).
  * New `summer' checksumming program with no manpage.
  * Spice and gnuplot scripts `ngspice2genspic', `gnucap2genspec'
    `genspic2gnuplot'.

  chiark-backup:
  * Pass -P option to df (to make new df not break things).
  * Pass -xtmpfs option to df.
  * Fix critical driver script lost output bug.
  * Fix pipe mode by passing -m600 when creating it.
  * Don't mind devices on local filesystems (was failed stat bug).
  * New lvm/remount-ro snapshotting feature.
  * New `snaprsync' script which is still a work in progress.
  * New gtar backup type.
  * Use (set) dump label field.
  * Say `(C)' in nroff pages rather than `\(c0' (typo for `\(co').
    (Closes: #208299 - Debian bug, thanks to Colin Watson.)
  * Move tape.* symlinks for chiark example into chiark directory.
    (Closes: #208300 - Debian bug, thanks to Colin Watson.)

  Other fixes and improvements:
  * Size for readbuffer/writebuffer may be in k or bytes.
  * sync-accounts works properly with groups with - + . in names
  * really has -R (chroot) option, and usage message improved.
  * Typo in copyright statement in with-lock-ex.1 fixed.
  * Mention cvs-* and palm-datebook-reminders in debian/control.
  * Make myself (Ian Jackson) the Maintainer.
  * Fix manpage titles for palm-datebook-reminders(1) and really(8).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 27 Jun 2006 19:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Matthew Vernon <matthew-chiark-utils@debian.org>
-Uploaders: matthew@debian.org
+Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
+Build-Depends: libx11-dev, libnettle-dev
+Uploaders: matthew@debian.org, Matthew Vernon <matthew-chiark-utils@debian.org>
 Standards-Version: 3.2.1.0
 
 Package: chiark-backup
@@ -40,6 +41,12 @@
  systems and installing it locally.  It is flexible and reasonably
  straightforward, but lacks integration with other distributed
  databases such as NIS.
+ .
+ cvs-repomove and cvs-adjustroot: tools for moving CVS repositories
+ and adjusting working trees.
+ .
+ palm-datebook-reminders: a program which emails mails you reminders
+ about the appointments in your Palm's Datebook.
 
 Package: chiark-rwbuffer
 Section: utils
@@ -54,6 +61,7 @@
 Package: chiark-utils-bin
 Architecture: any
 Depends: ${shlibs:Depends}
+Suggests: ${shlibs:Suggests}
 Section: utils
 Priority: extra
 Description: chiark system administration utilities

## chiark-utils 4.1.10

=== backup/Makefile ===
--- 
+++ 
@@ -25,10 +25,11 @@
 
 include ../settings.make
 
-BINSCRIPTS=	checkallused loaded driver takedown whatsthis labeltape
+BINSCRIPTS=	checkallused loaded driver takedown whatsthis labeltape \
+		snaprsync
 SHARESCRIPTS=	bringup full increm snap-drop
-SHAREFILES=	backuplib.pl
-SNAPKINDS=	lvm remount
+SHAREFILES=	backuplib.pl snap-common
+SNAPKINDS=	lvm remount remountrocp
 
 EXAMPLES=	relativity chiark

=== cprogs/Makefile ===
--- 
+++ 
@@ -25,7 +25,8 @@
 
 RWBUFFER_SIZE_MB=16
 
-PROGRAMS=		readbuffer writebuffer with-lock-ex
+PROGRAMS=		readbuffer writebuffer with-lock-ex xacpi-simple \
+			summer
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
 MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1
@@ -42,6 +43,12 @@
 
 really.o myopt.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
+
+xacpi-simple:	xacpi-simple.o
+		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm
+
+summer:		summer.o
+		$(CC) -o $@ $< -lnettle
 
 install:		all
 		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)

=== scripts/Makefile ===
--- 
+++ 
@@ -21,9 +21,10 @@
 
 include ../settings.make
 
-SCRIPTS=	palm-datebook-reminders random-word \
+SCRIPTS=	palm-datebook-reminders random-word expire-iso8601 \
 		genspic2gnuplot gnucap2genspic ngspice2genspic \
-		cvs-repomove cvs-adjustroot
+		cvs-repomove cvs-adjustroot remountresizereiserfs \
+		hexterm
 MANPAGES1=	palm-datebook-reminders
 
 CSCRIPTS=	named-conf

=== debian/changelog ===
chiark-utils (4.1.10) unstable; urgency=low

  * New script `hexterm', `terminal emulator' for binary data,
    display/entry in ASCII and hex.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  2 Oct 2006 22:21:52 +0100

chiark-utils (4.1.9) unstable; urgency=low

  * New better algorithm for expire-iso8601.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  2 Oct 2006 18:11:56 +0100

chiark-utils (4.1.8) unstable; urgency=low

  * remountresizereiserfs: New script for calculating resize= parameter.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 15 Aug 2006 15:46:19 +0100

chiark-utils (4.1.7) unstable; urgency=low

  * backup: new `noinc' fs line option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 14 Aug 2006 11:04:30 +0100

chiark-utils (4.1.6) unstable; urgency=low

  * backup/snaprsync: work around bug in bash (Debian #382798).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 14 Aug 2006 00:43:00 +0100

chiark-utils (4.1.5) unstable; urgency=low

  * expire-iso8601 - new script.
  * backup/snaprsync: allow setting of program to use for summer; allow
    setting of rsync options; allow settings to be set to empty strings on
    the command line; do not fail if localprevious,rsums is missing.
  * cprogs/summer.c: properly fix for reentrancy of buf.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 13 Aug 2006 17:04:08 +0100

chiark-utils (4.1.4) unstable; urgency=low

  summer bugfix:
  * `buf' is used reentrantely by recurse() and sometimes is the `path'
    argument to recurse; cope appropriately.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  5 Aug 2006 15:34:03 +0100

chiark-utils (4.1.3) unstable; urgency=low

  backup snap remountrocp fixes:
  * Size of snapshot volume properly calculated (now we divide by 1k
    since df reports in bytes and vgdisplay in kbytes).
  * Restrict copy to same file system (oops!).
  * Nicer messages from remountrocp (-q to mkfs; various echoes).

  backup snaprsync fixes:
  * Support --subdir= option, defaults to `.' (root of source fs).
  * Correctly set up /var/lib/chiark-backup/snap-drop so drop works.
  * Send output of local summer to fd 3 as required.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 15:41:07 +0100

chiark-utils (4.1.2) unstable; urgency=low

  * Translate /dev/mapper devices from mount table into LVM device names.
  * Use `current logical extents associated to logical volume' (field 8)
    rather than `allocated logical extents of logical volume' (field 9)
    for size, as the latter is sometimes -1 for some reason.
  * Attempt 10 times to mount readonly.
  * Comments stating that lvm{create,extents}core1 need vgroup.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 14:44:23 +0100

chiark-utils (4.1.1) unstable; urgency=low

  * summer sorts the output and identifies hardlink
    targets instead of printing link count.
  * backup: new `remountrocp' snapshot type.
  * backup: snaprsync script shipped.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Jul 2006 13:19:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,9 @@
 		for m in *.1; do \
 			mv "$$m" backup-"$$m"; \
 		done
+	cp \
+ $t/chiark-backup/usr/share/doc/chiark-backup/examples/chiark/settings.sh \
+ $t/chiark-backup/etc/chiark-backup/settings.sh
 	#
 	install -d $t/chiark-really/usr/sbin
 	install -d $t/chiark-really/usr/share/man/man8
@@ -111,7 +114,8 @@
 	dpkg-shlibdeps -Tdebian/sv-chiark-really \
 		$t/chiark-really/usr/sbin/*
 	dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin \
-		$t/chiark-utils-bin/usr/bin/*
+		$t/chiark-utils-bin/usr/bin/[^x]* \
+		-dSuggests $t/chiark-utils-bin/usr/bin/x*
 	set -e; for p in $(packages_arch); \
 		do debian/rules binary-one p=$$p; done

## chiark-utils 4.1.20

=== backup/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 		snaprsync
 SHARESCRIPTS=	bringup full increm snap-drop
 SHAREFILES=	backuplib.pl snap-common
-SNAPKINDS=	lvm remount remountrocp
+SNAPKINDS=	lvm remount remountrocp nosnap
 
 EXAMPLES=	relativity chiark
 
@@ -55,7 +55,7 @@
 		set -e; for e in $(EXAMPLES); do \
 			cd examples/$$e; \
 			$(INSTALL_DIRECTORY) $(exampledir)/$$e; \
-			$(INSTALL_SHARE) [^A-Z]*[^~] $(exampledir)/$$e; \
+			$(INSTALL_SHARE) [!A-Z]*[!~] $(exampledir)/$$e; \
 			if test -f SYMLINKS.tar; then \
 				exec <SYMLINKS.tar; \
 				(set -e; cd $(exampledir)/$$e && tar -xf -); \

=== cprogs/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 RWBUFFER_SIZE_MB=16
 
 PROGRAMS=		readbuffer writebuffer with-lock-ex xacpi-simple \
-			summer
+			summer watershed
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
 MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1
@@ -48,7 +48,10 @@
 		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm
 
 summer:		summer.o
-		$(CC) -o $@ $< -lnettle
+		$(CC) -o $@ $< -lnettle -lgmp
+
+watershed:	watershed.o
+		$(CC) -o $@ $< -lnettle -lgmp
 
 install:		all
 		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)

=== scripts/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 SCRIPTS=	palm-datebook-reminders random-word expire-iso8601 \
 		genspic2gnuplot gnucap2genspic ngspice2genspic \
 		cvs-repomove cvs-adjustroot remountresizereiserfs \
-		hexterm
+		hexterm summarise-mailbox-preserving-privacy
 MANPAGES1=	palm-datebook-reminders
 
 CSCRIPTS=	named-conf

=== debian/changelog ===
chiark-utils (4.1.20) unstable; urgency=low

  * Fix bashism in upstream backup/Makefile.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 13 Jul 2007 09:49:17 +0100

chiark-utils (4.1.19) unstable; urgency=low

  * Mention summer, xacpi-simple, watershed in chiark-utils-bin's description.
  * Set SHELL=/bin/bash in debian/rules.  Closes: #379541.
  * Remove Matthew from the Uploaders.  Closes: #280012.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 12 Jul 2007 17:25:11 +0100

chiark-utils (4.1.18) unstable; urgency=low

  * summer works even if passed multiple option-containing args.
  * workaround for nettle bug, supply -lgmp if -lnettle.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 23 May 2007 19:42:05 +0100

chiark-utils (4.1.17) unstable; urgency=low

  * summer has new -M (do not print mtimes) option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 23 May 2007 18:56:53 +0100

chiark-utils (4.1.16) unstable; urgency=low

  * chiark-backup's snaprsync has new rsynccompress option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 19 Apr 2007 23:23:32 +0100

chiark-utils (4.1.15) unstable; urgency=low

  * chiark-backup's snaprsync sedderies mountpoint out before sums diff.
  * chiark-backup's snaprsync has new sshopts option.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 19 Apr 2007 20:12:37 +0100

chiark-utils (4.1.14) unstable; urgency=low

  * summer has new -x (one file system) option.
  * summer produces better output with -f when scandir fails.
  * chiark-backup's snaprsync uses summer -x.
  * chiark-backup suggests chiark-cprogs with summer with -x.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 18 Feb 2007 13:02:21 +0000

chiark-utils (4.1.13) unstable; urgency=low

  * New `nosnap' no-op snap kind.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 16 Feb 2007 19:10:23 +0000

chiark-utils (4.1.12) unstable; urgency=low

  * New `watershed' program.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 15 Feb 2007 01:12:05 +0000

chiark-utils (4.1.11) unstable; urgency=low

  * remountresizereiserfs version copied from chiark.  Works with LVM1
    on 2.6.x, but not with 2.4.x due to stupid stupid LVM bug where
    sizes are reported in 512-byte kilobytes but only sometimes.  Also
    fixed to cope better with dm-based LVM volumes.
  * New script `summarise-mailbox-preserving-privacy'.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 22 Nov 2006 19:53:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: extra
 Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libnettle-dev
-Uploaders: matthew@debian.org, Matthew Vernon <matthew-chiark-utils@debian.org>
 Standards-Version: 3.2.1.0
 
 Package: chiark-backup
@@ -11,6 +10,7 @@
 Priority: extra
 Architecture: all
 Depends: chiark-rwbuffer
+Suggests: chiark-cprogs (>= 4.1.14)
 Description: backup system for small systems and networks
  These are the backup scripts used by chiark.greenend.org.uk and other
  systems belonging to the Sinister Greenend Organisation.  Features:
@@ -71,6 +71,17 @@
  .
  with-lock-ex: a simple tool for acquiring a lockfile before running
  another program or script.
+ .
+ summer: a tool for reporting complete details about a filesystem tree
+ in a parseable format, including checksums.
+ .
+ xacpi-simple: a very simple X client for displaying ACPI battery
+ charge status.
+ .
+ watershed: a utility for saving on superfluous executions of an
+ idempotent command.  (This is the same utility as shipped separately
+ in Ubuntu's udev, but with slightly different defaults and a
+ different install location.)
 
 Package: chiark-really
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+SHELL=/bin/bash
 
 subdirs_build=	cprogs
 subdirs_nobuild=backup sync-accounts scripts

## chiark-utils 4.1.24

=== cprogs/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #
 # This is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2, or (at your option) any later version.
+# Foundation; either version 3, or (at your option) any later version.
 #
 # This is distributed in the hope that it will be useful, but WITHOUT ANY
 # WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
@@ -18,8 +18,8 @@
 # details.
 #
 # You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+# with this program; if not, consult the Free Software Foundation's
+# website at www.fsf.org, or the GNU Project website at www.gnu.org.
 
 include ../settings.make

=== scripts/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 # This is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2, or (at your option) any later version.
+# Foundation; either version 3, or (at your option) any later version.
 #
 # This is distributed in the hope that it will be useful, but WITHOUT ANY
 # WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
@@ -16,8 +16,8 @@
 # details.
 #
 # You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+# with this program; if not, consult the Free Software Foundation's
+# website at www.fsf.org, or the GNU Project website at www.gnu.org.
 
 include ../settings.make

=== debian/changelog ===
chiark-utils (4.1.24) unstable; urgency=low

  * Change my email address in the Maintainer field so that
    when I say Closes: in the changelog it doesn't say "fixed in NMU".

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 23 Sep 2007 16:39:48 +0100

chiark-utils (4.1.23) unstable; urgency=low

  * chiark-named-conf improvements:
    - set $|=1 to make output better with eg  2>&1 |less
    - new allow-indirect-glue directive
    - new forbid-slave directive
    - remove incorrect references to SOA ORIGIN - should be MNAME
    - allow config file to not exist.  Closes: #274528.
    - do not warn about glueful nameservers in serverless-glueless
      areas (since these can't cause problems).  Thanks to Ben Harris
      for report and subsequent discussion.
  * chiark-backup Depends on chiark-utils-bin.  Closes: #401611.
  * summer manpage (thanks to Peter Maydell for initial contribution).
    (Closes: #401640.)
  * summer has new -B option for suppressing times of unusual node types.
  * backup-snaprsync passes -B to summer.
  * copyright notices for various scripts.
  * many scripts mentioned in Description and debian/copyright.
  * use dh_strip rather than doing it ourselves.  Closes #436624.
  (4.1.22 was an internal unreleased version.)

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 22 Sep 2007 02:29:55 +0100

chiark-utils (4.1.21) unstable; urgency=low

  * backup-snaprsync: pass -I to rsync when copying rsums.
  * update licence to GPLv3 or later (was GPLv2 or later).
  * remove FSF's paper address from debian/copyright
    and refer to the FSF and GNU websites instead.
  * update copyright dates in backup/.
  * Fix some out of date email addresses.
  * summer and watershed's shlibdeps go into Recommends since
    bits of the package are useable without them.
  * seddery libgmp3 dependencies to libgmp3 | libgmp3c2 since
    we are C and not C++ and care nothing for C++ ABI transitions.
  * Document the dependency relationships in the Description.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 21 Sep 2007 21:58:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Build-Depends: libx11-dev, libnettle-dev
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Build-Depends: libx11-dev, libnettle-dev, debhelper
 Standards-Version: 3.2.1.0
 
 Package: chiark-backup
 Section: utils
 Priority: extra
 Architecture: all
-Depends: chiark-rwbuffer
+Depends: chiark-rwbuffer, chiark-utils-bin
 Suggests: chiark-cprogs (>= 4.1.14)
 Description: backup system for small systems and networks
  These are the backup scripts used by chiark.greenend.org.uk and other
@@ -47,6 +47,21 @@
  .
  palm-datebook-reminders: a program which emails mails you reminders
  about the appointments in your Palm's Datebook.
+ .
+ cvsweb-list: cgi program to list ucgi (userv-utils) cvsweb repos
+ .
+ expire-iso8601: keep or expire backup trees named after their dates
+ .
+ gnucap2genspic, ngspice2genspic, genspic2gnuplot: convert gnucap
+ files and ngspice output files to genspic and genspic files to
+ gnuplot input so they can be plotted.
+ .
+ hexterm: connects to serial port and allows the user interact in
+ ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
+ serial port protocol directly.
+ .
+ random-word, remountresizereiserfs,
+ summarise-mailbox-preserving-privacy
 
 Package: chiark-rwbuffer
 Section: utils
@@ -61,6 +76,7 @@
 Package: chiark-utils-bin
 Architecture: any
 Depends: ${shlibs:Depends}
+Recommends: ${shlibs:Recommends}
 Suggests: ${shlibs:Suggests}
 Section: utils
 Priority: extra
@@ -82,6 +98,9 @@
  idempotent command.  (This is the same utility as shipped separately
  in Ubuntu's udev, but with slightly different defaults and a
  different install location.)
+ .
+ summer and watershed require the installation of the Recommended
+ crypto libraries; xacpi-simple needs the Suggested X libraries.
 
 Package: chiark-really
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,6 @@
 	install -d $t/chiark-really/usr/share/man/man8
 	cd $t/chiark-utils-bin/usr/sbin && \
 		mv really $t/chiark-really/usr/sbin/
-	strip --strip-unneeded --remove-section .note --remove-section .comment $t/chiark-really/usr/sbin/really
 	cd $t/chiark-utils-bin/usr/share/man/man8 && \
 		mv really.8 $t/chiark-really/usr/share/man/man8/
 	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
@@ -111,13 +110,27 @@
 
 binary-arch:	checkroot build binary-prep
 	$(checkdir)
+	set -ex; for p in chiark-really chiark-utils-bin chiark-rwbuffer; do \
+		dh_strip -p$$p -Pdebian/tmp/$$p; done
 	dpkg-shlibdeps -Tdebian/sv-chiark-rwbuffer \
 		$t/chiark-rwbuffer/usr/bin/*
 	dpkg-shlibdeps -Tdebian/sv-chiark-really \
 		$t/chiark-really/usr/sbin/*
-	dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin \
-		$t/chiark-utils-bin/usr/bin/[^x]* \
-		-dSuggests $t/chiark-utils-bin/usr/bin/x*
+	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
+		case "$$f" in \
+		*/xacpi-simple)		d=Suggests	;; \
+		*/watershed|*/summer)	d=Recommends	;; \
+		*)			d=Depends	;; \
+		esac; \
+		a="$$a -d$$d $$f"; \
+	    done; set -x; \
+	    dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin $$a
+	perl -i~ -pe '						'\
+	 -e'	next unless m/^shlibs:/;			'\
+	 -e'	s/$$/,/; s/=/=, /;				'\
+	 -e'	s/, libgmp3(?:c2)?,/, libgmp3 | libgmp3c2,/; 	'\
+	 -e'	s/=, /=/; s/,$$//;				'\
+			debian/sv-*[!~]
 	set -e; for p in $(packages_arch); \
 		do debian/rules binary-one p=$$p; done

## chiark-utils 4.1.28

=== debian/changelog ===
chiark-utils (4.1.28) unstable; urgency=high

  chiark-named-conf:
  * Remove obsolete +nodebug option from calls to dig;
    required for BIND9 compatibility.  Thanks to Ross Younger.
  * Foreign zones work properly using the configuration
    prevailing at the end of the config file.
  * Warn if user specifies a zone with the trailing `.'.

  Other:
  * hexterm: Declare and document the dependency of hexterm on tcl8.4.
  * chiark-backup: remove snap-mount properly whether it's a dir or a leaf
    node (such as a symlink).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 27 Aug 2008 23:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Priority: extra
 Conflicts: chiark-named-conf, sync-accounts
 Replaces: chiark-named-conf, sync-accounts
+Suggests: tcl8.4
 Architecture: all
 Description: chiark system administration scripts
  This package contains a number of small administration scripts used
@@ -58,7 +59,7 @@
  .
  hexterm: connects to serial port and allows the user interact in
  ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
- serial port protocol directly.
+ serial port protocol directly.  (Needs tcl8.4 to be installed.)
  .
  random-word, remountresizereiserfs,
  summarise-mailbox-preserving-privacy

## chiark-utils 4.1.28+nmu2

=== debian/changelog ===
chiark-utils (4.1.28+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "file-in-etc-not-marked-as-conffile /etc/chiark- backup/snap/nosnap"
    by adding /etc/chiark-backup/snap/nosnap to debian/chiark-
    backup/conffiles (closes: #553560).

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2009 13:27:32 +0100

chiark-utils (4.1.28+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * change build dependency from libnettle-dev to nettle-dev
    (Closes: #543123).

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 02 Sep 2009 08:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
-Build-Depends: libx11-dev, libnettle-dev, debhelper
+Build-Depends: libx11-dev, nettle-dev, debhelper
 Standards-Version: 3.2.1.0
 
 Package: chiark-backup

## chiark-utils 4.1.28+nmu2build1

=== debian/changelog ===
chiark-utils (4.1.28+nmu2build1) oneiric; urgency=low

  * Rebuild for libnettle4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 May 2011 17:55:42 +0100
